RSBag - Enhancement #953

Allow routing of output and progress indication to different streams for bag-{cat,play}
03/15/2012 03:56 PM - J. Moringen

Status: Resolved Start date: 03/15/2012
Priority: Low Due date:

Assignee: J. Moringen % Done: 100%
Category: Estimated time: 0.00 hour
Target version: rsb-0.7

Description

Currently, the progress indicator of bag-play and the output of bag-cat are sent to standard output.

This should be configurable. In particular, the progress indicator should probably go to standard error by default. This would enable
things like:

bag-cat --progress bar --style audio-stream/wav my-log-file.tide | paplay

without interference between "actual" output and progress indication.

Associated revisions

Revision 7cacbb52 - 07/02/2012 09:58 PM - J. Moringen
Send progress output to info-output in bag-play/main.lisp
refs #953
- bag-play/main.lisp (print-progress): send output to the value of
“*info-output™

(main): no progress display if “*info-output™ is nil

Revision 126ddf1b - 07/02/2012 09:58 PM - J. Moringen
Added info-stream commandline option in common/options.lisp
refs #953
- common/options.lisp (make-common-options): added info-stream
commandline option
(process-commandline-options): store stream indicated by info-stream
commandline option into info-output
- common/package.lisp (package rsb.common): added exported symbol
info-output

Revision 4724a7{7 - 07/02/2012 10:09 PM - J. Moringen
Added target-stream commandline option in bag-cat/main.lisp
fixes #953
- bag-cat/main.lisp (update-synopsis): added target-stream commandline
option
(main): output events to the stream selected by the target-stream

commandline option

Revision 521¢9989 - 07/03/2012 02:07 AM - J. Moringen
Added target-stream in bag-cat.rst
refs #953

- bag-cat.rst: added description of target-stream commandline option

Revision e4d6267b - 07/03/2012 02:51 AM - J. Moringen
Added info-stream commandline option in common.rst
refs #953

- common.rst: added info-stream commandline option

Revision dd0171f8 - 07/03/2012 02:53 AM - J. Moringen
Fix for previous commit: add common/variables.lisp
refs #953
- common/variables.lisp: new file; contains variables used in the
cl-rsb-common system
- cl-rsb-common.asd (system cl-rsb-common): added file
common/variables.lisp; added dependency on common/variables.lisp to

common/options.lisp

History

#1 - 07/02/2012 10:09 PM - J. Moringen
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset r471.
